"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports["default"] = void 0;
var CONSTANTS = {
  host: {
    api: 'https://api.europe-west1.gcp.commercetools.com',
    auth: 'https://auth.europe-west1.gcp.commercetools.com'
  },
  field: {
    integer: new RegExp(/^-?\d+$/),
    money: new RegExp(/^([A-Z]{3}) (-?\d+)$/)
  },
  header: {
    sku: 'variant-sku'
  },
  standardOption: {
    batchSize: 100,
    delimiter: ',',
    defaultLogFile: 'csvparserprice.log'
  }
};

// Go through object because `freeze` works shallow
Object.keys(CONSTANTS).forEach(function (key) {
  Object.freeze(CONSTANTS[key]);
});
var _default = exports["default"] = CONSTANTS;